/* Common styles */
* {
  margin: 0;
  padding: 0;
}

body {
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  font-weight: 300;
}

a {
  color: unset;
  text-decoration: none;
}

ul, ol {
  list-style: none;
}

p {
  padding: 20px;
  font-size: 18px;
  line-height: 1.5;
}

hr {
  width: 100%;
  /* border-top: 5px solid black; */
}

.body {
  margin: 82px 100px 0;
}

/* Nav styles */
.nav {
  position: fixed;
  display: flex;
  background-color: pink;
  justify-content: center;
  left: 0;
  right: 0;
  border-bottom: 3px solid #000000;
  top: 0;
  z-index: 1;
}

.nav__name {
  display: none;
  position: absolute;
  top: 10px;
  left: 10px;
  font-weight: 400;
  font-family: cursive;
  border-radius: 27px;
  text-align: center;
}

.nav__link:hover {
  color: #999;
}

.nav__list {
  display: flex;
}

.nav__list-item {
  padding: 10px;
  margin-right: 50px;
}

.nav__list__rule {
  display: none;
  margin: 0 auto;
  width: 100px;
}

/* Hamburger Styles */
.nav__checkbox {
  opacity: 0;
  position: absolute;
  right: 10px;
  top: 10px;
  width: 30px;
  height: 20px;
  cursor: pointer;
  z-index: 2;
}

.nav__checkbox:checked ~ .nav__list {
  display: flex;
}

.nav__checkbox:checked ~ .nav__list .nav__dropdown {
  position: unset;
  display: block;
}

.nav__checkbox:checked ~ .hamburger .hamburger__cross {
  display: block;
}

.hamburger {
  position: absolute;
  right: 0;
  top: 5px;
  display: none;
  width: 30px;
  padding: 10px;
  z-index: 1;
}

.hamburger__cross {
  display: none;
  position: absolute;
  top: 0;
  z-index: 1;
  font-size: 1.5rem;
  color: #FFFFFF;
}

.hamburger__patty {
  border-bottom: 3px solid #000000;
}

.hamburger::before,
.hamburger::after {
  content: "";
  display: block;
  height: 5px;

}

.hamburger::before {
  border-top: 3px solid #000000;
}

.hamburger::after {
  border-bottom: 3px solid #000000;
}

/* Home styles */
.home {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.home__heading {
  font-weight: 100;
  font-size: 5rem;
  letter-spacing: 6px;
  margin: 0;
  margin-bottom: 35px;
  font-family: cursive;
  height: 130px;
  border-radius: 27px;
  text-align: center;
}

.home__subheading {
  font-size: 1.3rem;
  text-transform: uppercase;
  font-family: "Times New Roman";
  font-weight: 400;
  letter-spacing: 2px;
  padding: 50px;
  display: flex;
  flex-direction: column;
  height: 150px;
  justify-content: space-evenly;
  align-items: center;
}

.home__boxes {
  display: flex;
  justify-content: space-evenly;
  width: 100%;
}

.home__box {
  position: relative;
}

.home__box__image {
  height: 400px;
  width: 400px;
  margin: 10px;
}

.home__box__link {
  background-color: #FFFFFF;
  position: absolute;
  bottom: 30px;
  right: 30px;
  width: 100px;
  text-align: center;
  padding: 10px;
}

.home__vertical {
  display: flex;
  width: 100%;
  justify-content: center;
}

.home__vertical-image {
  height: 400px;
  width: 400px;
  margin: 10px;
}

.home__grid {
  display: grid;
  margin-bottom: 100px;
}

.home__grid-image {
  width: 200px;
  height: 200px;
  margin: 10px;
  grid-row: 1;
}

.home__logo {
  width: 20px;
  height: 20px;
  vertical-align: -1px;
  margin: 0 5px;
}

/* About styles */
.about {
  background-color: #ffe2e7;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.about__heading {
  font-size: 30px;
  padding: 40px;
  margin-top: 20px;
}

.about__rule {
  border: 1px solid black;
  width: 50px;
  margin-bottom: 11px;
}

.about__subheading {
  font-size: 15px;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 1px;
  padding: 20px;
}

.about__image {
  height: 500px;
  width: 500px;
  border-radius: 50%;
  margin: 50px;
}

.about__text {
  width: 500px;
}

.about__paragraph {
  text-align: center;
}

/* Reviews styles */
.reviews {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.reviews__heading {
  font-size: 1rem;
  padding: 40px;
  margin-top: 20px;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.review {
  display: flex;
  align-items: center;
  font-size: 1rem;
  margin: 50px 0;
}

.review__heading,
.review__name {
  padding: 20px;
}

.review__text {
  width: 500px;
}

.review__image {
  height: 300px;
  width: 300px;
  margin: 50px;
  margin-left: 100px;
}

/* Gallery styles */
.gallery {
  width: 800px;
  margin: 100px auto;
}

.gallery__heading {
  font-weight: 400;
  letter-spacing: 2px;
}

.gallery__paragraph {
  padding: 50px 0;
}

.gallery__grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin-bottom: 100px;
  row-gap: 50px;
  column-gap: 20px;
}

.gallery__grid-item {
  position: relative;
  z-index: 0;
}

.gallery__image {
  width: 240px;
  height: 320px;
  cursor: pointer;
}

.gallery__caption {
  font-size: 1.3rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  position: absolute;
  top: 0;
  left: 0;
  width: 220px;
  line-height: 30px;
  padding: 10px;
  color: #FFFFFF;
  justify-content: center;
  text-align: center;
  align-items: center;
  height: 300px;
  background: rgba(0, 0, 0, 0.5);
  display: none;
}

.gallery__image:hover ~ .gallery__caption {
  display: flex;
}

.gallery__caption:hover {
  display: flex;
}

/* Recipes styles */
.recipes {
  width: 800px;
  margin: 100px auto;
}

.recipes__heading {
  font-weight: 400;
  letter-spacing: 2px;
}

.recipes__paragraph {
  padding: 50px 0;
}

.recipes__grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin-bottom: 100px;
  row-gap: 50px;
  column-gap: 20px;
}

.recipes__image {
  width: 240px;
  height: 320px;
  cursor: pointer;
}

.recipes__caption {
  font-size: 1.7rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  padding: 20px 0;
}

.recipes__caption-text:hover {
  color: #FFA5B5;
  cursor: pointer;
}

/* Recipe styles */
.recipe {
  width: 800px;
  margin: 100px auto;
}

.recipe__heading {
  font-weight: 400;
  letter-spacing: 2px;
}

.recipe__subheading {
  padding: 30px 0;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 1.3rem;
}

.recipe__paragraph {
  padding: 40px 0 0;
}

.recipe__list {
  margin-left: 20px;
}

.recipe__list--ordered {
  list-style: decimal;
}

.recipe__list--unordered {
  list-style: square;
}

.recipe__list-item {
  padding: 10px 0;
}

.recipe__image {
  width: 800px;
  margin: 50px 0;
}

.recipe__note {
  font-style: italic;
  padding-top: 10px;
}

/* Press styles */
.press {
  width: 800px;
  margin: 100px auto;
}

.press__heading {
  font-weight: 400;
  letter-spacing: 2px;
}

.press__grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin-bottom: 100px;
  row-gap: 50px;
  column-gap: 20px;
  padding: 50px 0;
}

.press__grid-item {
  width: 250px;
  padding: 20px;
  background-color: #ffe2e7;
  position: relative;
}

.press__grid-item:hover {
  box-shadow: 0px 0px 10px 10px black;
}

.press__grid-item:hover .press__arrow {
  display: block;
}

.press__link {
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.press__arrow {
  font-weight: bold;
  position: absolute;
  top: 10px;
  right: 10px;
  display: none;
}

.press__text {
  padding: 30px 0;
  font-size: 1.3rem;
}

/* Contact Styles */
.contact__heading {
  padding: 50px;
}

.contact__subheading {
  padding: 20px 50px;
  font-weight: 400;
}

.contact__boxes {
  display: flex;
  align-items: center;
}

.contact__box {
  position: relative;
  /* z-index: -1; */
  margin: 50px;
}

.contact__logo {
  width: 150px;
  font-size: 10em;
}

.contact__box__link {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* Media queries */
@media (max-width: 800px) {
  .body {
    margin: 0;
  }

  .nav {
    position: static;
    margin: 0;
    height: 50px;
  }

  .nav__name {
    display: block;
  }

  .nav__list {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.9);
    color: white;
    display: none;
    justify-content: center;
    z-index: 1
  }

  .nav__list__rule {
    display: block;
  }

  .nav__list-item {
    padding: 30px;
    margin: 0;
  }

  .hamburger {
    display: block;
  }

  .home__heading {
    font-size: 3rem;
    margin: 0;
    padding: 20px;
    height: unset;
  }

  .home__boxes,
  .home__vertical {
    flex-direction: column;
  }

  .home__box__image {
    width: 100%;
    margin: 0;
  }

  .home__grid {
    grid-template-columns: 1fr 1fr;
  }

  .home__grid-image {
    grid-row: unset;
    width: 150px;
    height: 150px;
  }

  .home__vertical-image {
    height: 400px;
    width: 100%;
    margin: 10px 0;
  }

  .about {
    margin: 0;
  }

  .about__subheading {
    width: 300px;
  }

  .about__image {
    height: 300px;
    width: 300px;
    margin: 20px;
  }

  .about__text {
    width: unset;
  }

  .review {
    flex-direction: column;
  }

  .review__text {
    width: auto;
  }

  .review__image {
    margin: 50px 0;
  }

  .gallery,
  .recipes,
  .press {
    width: auto;
    padding: 30px;
  }

  .gallery__grid,
  .recipes__grid {
    grid-template-columns: 1fr 1fr;
  }

  .press__grid {
    grid-template-columns: 1fr;
    justify-items: center;
  }

  .recipes__grid-item {
    text-align: center;
  }

  .gallery__image,
  .recipes__image {
    width: 140px;
    height: 220px;
    cursor: pointer;
  }

  .recipes__caption {
    font-size: 1rem;
    text-align: left;
  }

  .recipe {
    width: unset;
    padding: 30px;
  }

  .recipe__image {
    width: 100%;
    margin: 50px 0;
  }

  .recipe__video {
    margin-left: 100px;
  }

  .contact__boxes {
    flex-direction: column;
  }
}
